cURL
curl "https://api.scrapio.dev/v1/booking/reviews?property_id=fr/beauvoir&page=1&sort_by=newest" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import requests
url = "https://api.scrapio.dev/v1/booking/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/booking/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "booking",
"page_type": "reviews",
"snapshot_at": "2023-11-07T05:31:56Z",
"property_id": "<string>",
"name": "<string>",
"review_score": 123,
"review_count": 0,
"meta_data": {
"page": 123,
"sort_by": "<string>",
"language": "<string>",
"number_of_reviews_returned": 4503599627370495,
"reviews_source": "plain"
},
"score_breakdown": {},
"reviews": [
{
"title": "<string>",
"score": 123,
"positive": "<string>",
"negative": "<string>",
"traveler_type": "<string>",
"room_type": "<string>",
"stay_date": "<string>",
"nationality": "<string>",
"reviewed_at": "<string>"
}
]
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Booking.com
Get reviews
Retrieve a property’s review score breakdown, and individual review cards on request.
GET
/
v1
/
booking
/
reviews
cURL
curl "https://api.scrapio.dev/v1/booking/reviews?property_id=fr/beauvoir&page=1&sort_by=newest" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import requests
url = "https://api.scrapio.dev/v1/booking/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/booking/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "booking",
"page_type": "reviews",
"snapshot_at": "2023-11-07T05:31:56Z",
"property_id": "<string>",
"name": "<string>",
"review_score": 123,
"review_count": 0,
"meta_data": {
"page": 123,
"sort_by": "<string>",
"language": "<string>",
"number_of_reviews_returned": 4503599627370495,
"reviews_source": "plain"
},
"score_breakdown": {},
"reviews": [
{
"title": "<string>",
"score": 123,
"positive": "<string>",
"negative": "<string>",
"traveler_type": "<string>",
"room_type": "<string>",
"stay_date": "<string>",
"nationality": "<string>",
"reviewed_at": "<string>"
}
]
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Booking property slug/id
Minimum string length:
1Full Booking property URL
Review page number (default 1)
Pattern:
^\d+$Review sort order
Minimum string length:
1Review language filter (ISO 2-letter code)
Pattern:
^[A-Za-z]{2}$Click through to fetch individual review cards (+10 credits, 25 total)
Available options:
true, false Max time to wait, in ms
Pattern:
^\d+$Response
Booking.com review score breakdown, and review cards when requested.
Available options:
booking Available options:
reviews Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes